<?php
namespace Modules\Index\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class Connexion
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function connexion(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function errorIntegrite(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function mdpOublie(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function changementLangue(): bool
    {
        return true;
    }
}
